Форум русскоязычного сообщества Ubuntu


За новостями русскоязычного сообщества и Ubuntu в целом можно следить на нашей страничке в Google+

Автор Тема: Qt SDKне устанавливается  (Прочитано 662 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн igormat

  • Автор темы
  • Новичок
  • *
  • Сообщений: 30
    • Просмотр профиля
Qt SDKне устанавливается
« : 09 Апрель 2011, 02:11:18 »
Вобщем скачал я отсюда http://developer.qt.nokia.com/prereleases Qt SDK, набираю в терминале sudo sh Qt_SDK_Lin32_online_v1_1_rc_en.run

Он мне выдает:
Qt_SDK_lin32_online_v1_1_rc_en.run: 1: Syntax error: "(" unexpected

Я ламер в линухе,у меня стоит Ubuntu 10.10 Помогите, плиз, очень надо

Оффлайн Красноглазый

  • Активист
  • *
  • Сообщений: 705
    • Просмотр профиля
Re: Qt SDKне устанавливается
« Ответ #1 : 09 Апрель 2011, 16:02:41 »
Центр приложений ubuntu > Поиск 'Qt'
Поставить:
Qt Creator
Дизайнер Qt 4
Ассистент Qt 4
Qt 4 Linguist

Все само настроится.

Что вас все куда-то на сторону несет? :)

P.S. Там же Qt Software Development Kit (qt-sdk), если он нужен
« Последнее редактирование: 09 Апрель 2011, 16:08:12 от Красноглазый »

Оффлайн RazrFalcon

  • O_o
  • Старожил
  • *
  • Сообщений: 3144
  • Zombie Mod
    • Просмотр профиля
    • Я на GitHub
Re: Qt SDKне устанавливается
« Ответ #2 : 09 Апрель 2011, 16:37:16 »
sudo apt-get install qtcreator qt4-doc libqt4-dev libqt4-core libqt4-gui qt4-demos -y
Gentoo + KDE, Official Windows Hater
Хотите помочь нашей вики: http://help.ubuntu.ru/wiki/fixme

Оффлайн igormat

  • Автор темы
  • Новичок
  • *
  • Сообщений: 30
    • Просмотр профиля
Re: Qt SDKне устанавливается
« Ответ #3 : 09 Апрель 2011, 20:01:40 »
устанавливаю через центр приложений, выводит ошибку, в подробностях пишет:

Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/aptdaemon/worker.py", line 779, in simulate
    return self._simulate_helper(trans, status_path)
  File "/usr/lib/python2.6/dist-packages/aptdaemon/worker.py", line 958, in _simulate_helper
    return depends, status, self._cache.required_download, \
  File "/usr/lib/python2.6/dist-packages/apt/cache.py", line 218, in required_download
    pm.get_archives(fetcher, self._list, self._records)
SystemError: E:I wasn't able to locate file for the ttf-mscorefonts-installer package. This might mean you need to manually fix this package.

В чем может проблема? не устанавливает ни одна программа(((

Оффлайн RazrFalcon

  • O_o
  • Старожил
  • *
  • Сообщений: 3144
  • Zombie Mod
    • Просмотр профиля
    • Я на GitHub
Re: Qt SDKне устанавливается
« Ответ #4 : 09 Апрель 2011, 21:05:46 »
Написано же!
Цитировать
SystemError: E:I wasn't able to locate file for the ttf-mscorefonts-installer package. This might mean you need to manually fix this package.
нужно его переставить
Gentoo + KDE, Official Windows Hater
Хотите помочь нашей вики: http://help.ubuntu.ru/wiki/fixme

Оффлайн Красноглазый

  • Активист
  • *
  • Сообщений: 705
    • Просмотр профиля
Re: Qt SDKне устанавливается
« Ответ #5 : 09 Апрель 2011, 21:10:17 »
Это стандартная ubuntu, взятая с releases.ubuntu.com ?
Добавлялись ли сторонние репозитории?

Если дистрибутив не оригинальный - настоятельно рекомендуется переставить с оригинального.
Если добавляли репозитории, попробуйте удалить и попробовать снова.

Дополнительно стоит проверить диски и память на ошибки.

P.S. В синаптике проверить все битые пакеты и исправить. Возможно проблемы не только со шрифтами.
« Последнее редактирование: 09 Апрель 2011, 21:12:21 от Красноглазый »

Оффлайн igormat

  • Автор темы
  • Новичок
  • *
  • Сообщений: 30
    • Просмотр профиля
Re: Qt SDKне устанавливается
« Ответ #6 : 09 Апрель 2011, 22:00:30 »
спасибо, переставил пакет и все заработало)))

 

Страница сгенерирована за 0.056 секунд. Запросов: 25.